diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/stats/model/omnet-data-output.cc ns-3.40/src/stats/model/omnet-data-output.cc
--- ns-3.39/src/stats/model/omnet-data-output.cc	2023-07-05 14:23:48.085428200 -0700
+++ ns-3.40/src/stats/model/omnet-data-output.cc	2023-09-27 13:30:37.878839700 -0700
@@ -75,7 +75,7 @@
     bool exponentSeen = false;
     char last = '\0';
 
-    for (std::string::const_iterator it = s.begin(); it != s.end(); it++)
+    for (auto it = s.begin(); it != s.end(); it++)
     {
         if ((*it == '.') && (decimalPtSeen))
         {
@@ -120,7 +120,7 @@
     scalarFile << "attr measurement \"" << dc.GetInputLabel() << "\"" << std::endl;
     scalarFile << "attr description \"" << dc.GetDescription() << "\"" << std::endl;
 
-    for (MetadataList::iterator i = dc.MetadataBegin(); i != dc.MetadataEnd(); i++)
+    for (auto i = dc.MetadataBegin(); i != dc.MetadataEnd(); i++)
     {
         std::pair<std::string, std::string> blob = (*i);
         scalarFile << "attr \"" << blob.first << "\" \"" << blob.second << "\"" << std::endl;
@@ -131,7 +131,7 @@
     {
         scalarFile << "scalar . measurement \"" << dc.GetInputLabel() << "\"" << std::endl;
     }
-    for (MetadataList::iterator i = dc.MetadataBegin(); i != dc.MetadataEnd(); i++)
+    for (auto i = dc.MetadataBegin(); i != dc.MetadataEnd(); i++)
     {
         std::pair<std::string, std::string> blob = (*i);
         if (isNumeric(blob.second))
@@ -142,8 +142,7 @@
     }
     OmnetOutputCallback callback(&scalarFile);
 
-    for (DataCalculatorList::iterator i = dc.DataCalculatorBegin(); i != dc.DataCalculatorEnd();
-         i++)
+    for (auto i = dc.DataCalculatorBegin(); i != dc.DataCalculatorEnd(); i++)
     {
         (*i)->Output(callback);
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/stats/model/probe.cc ns-3.40/src/stats/model/probe.cc
--- ns-3.39/src/stats/model/probe.cc	2023-07-05 14:23:48.085428200 -0700
+++ ns-3.40/src/stats/model/probe.cc	2023-09-27 13:30:37.878839700 -0700
@@ -18,7 +18,7 @@
  *          Tiago G. Rodrigues (tgr002@bucknell.edu)
  */
 
-#include "ns3/probe.h"
+#include "probe.h"
 
 #include "ns3/log.h"
 #include "ns3/object.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/stats/model/probe.h ns-3.40/src/stats/model/probe.h
--- ns-3.39/src/stats/model/probe.h	2023-07-05 14:23:48.085428200 -0700
+++ ns-3.40/src/stats/model/probe.h	2023-09-27 13:30:37.878839700 -0700
@@ -21,7 +21,8 @@
 #ifndef PROBE_H
 #define PROBE_H
 
-#include "ns3/data-collection-object.h"
+#include "data-collection-object.h"
+
 #include "ns3/nstime.h"
 
 namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/stats/model/sqlite-data-output.cc ns-3.40/src/stats/model/sqlite-data-output.cc
--- ns-3.39/src/stats/model/sqlite-data-output.cc	2023-07-05 14:23:48.085428200 -0700
+++ ns-3.40/src/stats/model/sqlite-data-output.cc	2023-09-27 13:30:37.878839700 -0700
@@ -116,7 +116,7 @@
                                    "values (?, ?, ?)");
     NS_ASSERT(res);
 
-    for (MetadataList::iterator i = dc.MetadataBegin(); i != dc.MetadataEnd(); i++)
+    for (auto i = dc.MetadataBegin(); i != dc.MetadataEnd(); i++)
     {
         std::pair<std::string, std::string> blob = (*i);
         m_sqliteOut->SpinReset(stmt);
@@ -130,8 +130,7 @@
 
     m_sqliteOut->SpinExec("BEGIN");
     SqliteOutputCallback callback(m_sqliteOut, run);
-    for (DataCalculatorList::iterator i = dc.DataCalculatorBegin(); i != dc.DataCalculatorEnd();
-         i++)
+    for (auto i = dc.DataCalculatorBegin(); i != dc.DataCalculatorEnd(); i++)
     {
         (*i)->Output(callback);
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/stats/model/time-probe.cc ns-3.40/src/stats/model/time-probe.cc
--- ns-3.39/src/stats/model/time-probe.cc	2023-07-05 14:23:48.085428200 -0700
+++ ns-3.40/src/stats/model/time-probe.cc	2023-09-27 13:30:37.878839700 -0700
@@ -21,7 +21,7 @@
  *
  */
 
-#include "ns3/time-probe.h"
+#include "time-probe.h"
 
 #include "ns3/config.h"
 #include "ns3/log.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/stats/model/time-probe.h ns-3.40/src/stats/model/time-probe.h
--- ns-3.39/src/stats/model/time-probe.h	2023-07-05 14:23:48.085428200 -0700
+++ ns-3.40/src/stats/model/time-probe.h	2023-09-27 13:30:37.878839700 -0700
@@ -23,11 +23,12 @@
 #ifndef TIME_PROBE_H
 #define TIME_PROBE_H
 
+#include "probe.h"
+
 #include "ns3/boolean.h"
 #include "ns3/callback.h"
 #include "ns3/nstime.h"
 #include "ns3/object.h"
-#include "ns3/probe.h"
 #include "ns3/simulator.h"
 #include "ns3/traced-value.h"
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/stats/model/time-series-adaptor.cc ns-3.40/src/stats/model/time-series-adaptor.cc
--- ns-3.39/src/stats/model/time-series-adaptor.cc	2023-07-05 14:23:48.085428200 -0700
+++ ns-3.40/src/stats/model/time-series-adaptor.cc	2023-09-27 13:30:37.878839700 -0700
@@ -17,7 +17,7 @@
  * Author: Mitch Watrous (watrous@u.washington.edu)
  */
 
-#include "ns3/time-series-adaptor.h"
+#include "time-series-adaptor.h"
 
 #include "ns3/log.h"
 #include "ns3/object.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/stats/model/time-series-adaptor.h ns-3.40/src/stats/model/time-series-adaptor.h
--- ns-3.39/src/stats/model/time-series-adaptor.h	2023-07-05 14:23:48.085428200 -0700
+++ ns-3.40/src/stats/model/time-series-adaptor.h	2023-09-27 13:30:37.878839700 -0700
@@ -20,7 +20,8 @@
 #ifndef TIME_SERIES_ADAPTOR_H
 #define TIME_SERIES_ADAPTOR_H
 
-#include "ns3/data-collection-object.h"
+#include "data-collection-object.h"
+
 #include "ns3/object.h"
 #include "ns3/traced-value.h"
 #include "ns3/type-id.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/stats/model/uinteger-16-probe.cc ns-3.40/src/stats/model/uinteger-16-probe.cc
--- ns-3.39/src/stats/model/uinteger-16-probe.cc	2023-07-05 14:23:48.085428200 -0700
+++ ns-3.40/src/stats/model/uinteger-16-probe.cc	2023-09-27 13:30:37.878839700 -0700
@@ -20,7 +20,7 @@
  * Modified by: Mitch Watrous (watrous@u.washington.edu)
  */
 
-#include "ns3/uinteger-16-probe.h"
+#include "uinteger-16-probe.h"
 
 #include "ns3/config.h"
 #include "ns3/log.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/stats/model/uinteger-16-probe.h ns-3.40/src/stats/model/uinteger-16-probe.h
--- ns-3.39/src/stats/model/uinteger-16-probe.h	2023-07-05 14:23:48.085428200 -0700
+++ ns-3.40/src/stats/model/uinteger-16-probe.h	2023-09-27 13:30:37.878839700 -0700
@@ -23,8 +23,9 @@
 #ifndef UINTEGER_16_PROBE_H
 #define UINTEGER_16_PROBE_H
 
+#include "probe.h"
+
 #include "ns3/callback.h"
-#include "ns3/probe.h"
 #include "ns3/traced-value.h"
 
 namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/stats/model/uinteger-32-probe.cc ns-3.40/src/stats/model/uinteger-32-probe.cc
--- ns-3.39/src/stats/model/uinteger-32-probe.cc	2023-07-05 14:23:48.085428200 -0700
+++ ns-3.40/src/stats/model/uinteger-32-probe.cc	2023-09-27 13:30:37.878839700 -0700
@@ -20,7 +20,7 @@
  * Modified by: Mitch Watrous (watrous@u.washington.edu)
  */
 
-#include "ns3/uinteger-32-probe.h"
+#include "uinteger-32-probe.h"
 
 #include "ns3/config.h"
 #include "ns3/log.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/stats/model/uinteger-32-probe.h ns-3.40/src/stats/model/uinteger-32-probe.h
--- ns-3.39/src/stats/model/uinteger-32-probe.h	2023-07-05 14:23:48.085428200 -0700
+++ ns-3.40/src/stats/model/uinteger-32-probe.h	2023-09-27 13:30:37.878839700 -0700
@@ -23,8 +23,9 @@
 #ifndef UINTEGER_32_PROBE_H
 #define UINTEGER_32_PROBE_H
 
+#include "probe.h"
+
 #include "ns3/callback.h"
-#include "ns3/probe.h"
 #include "ns3/traced-value.h"
 
 namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/stats/model/uinteger-8-probe.cc ns-3.40/src/stats/model/uinteger-8-probe.cc
--- ns-3.39/src/stats/model/uinteger-8-probe.cc	2023-07-05 14:23:48.085428200 -0700
+++ ns-3.40/src/stats/model/uinteger-8-probe.cc	2023-09-27 13:30:37.878839700 -0700
@@ -20,7 +20,7 @@
  * Modified by: Mitch Watrous (watrous@u.washington.edu)
  */
 
-#include "ns3/uinteger-8-probe.h"
+#include "uinteger-8-probe.h"
 
 #include "ns3/config.h"
 #include "ns3/log.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/stats/model/uinteger-8-probe.h ns-3.40/src/stats/model/uinteger-8-probe.h
--- ns-3.39/src/stats/model/uinteger-8-probe.h	2023-07-05 14:23:48.085428200 -0700
+++ ns-3.40/src/stats/model/uinteger-8-probe.h	2023-09-27 13:30:37.878839700 -0700
@@ -23,8 +23,9 @@
 #ifndef UINTEGER_8_PROBE_H
 #define UINTEGER_8_PROBE_H
 
+#include "probe.h"
+
 #include "ns3/callback.h"
-#include "ns3/probe.h"
 #include "ns3/traced-value.h"
 
 namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/tap-bridge/model/tap-bridge.cc ns-3.40/src/tap-bridge/model/tap-bridge.cc
--- ns-3.39/src/tap-bridge/model/tap-bridge.cc	2023-07-05 14:23:48.085428200 -0700
+++ ns-3.40/src/tap-bridge/model/tap-bridge.cc	2023-09-27 13:30:37.882839700 -0700
@@ -57,7 +57,7 @@
     NS_LOG_FUNCTION(this);
 
     uint32_t bufferSize = 65536;
-    uint8_t* buf = (uint8_t*)std::malloc(bufferSize);
+    auto buf = (uint8_t*)std::malloc(bufferSize);
     NS_ABORT_MSG_IF(buf == nullptr, "malloc() failed");
 
     NS_LOG_LOGIC("Calling read on tap device fd " << m_fd);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/test/csma-system-test-suite.cc ns-3.40/src/test/csma-system-test-suite.cc
--- ns-3.39/src/test/csma-system-test-suite.cc	2023-07-05 14:23:48.089428200 -0700
+++ ns-3.40/src/test/csma-system-test-suite.cc	2023-09-27 13:30:37.882839700 -0700
@@ -870,7 +870,7 @@
     // Make packets be sent about every DefaultPacketSize / DataRate =
     // 4096 bits / (5000 bits/second) = 0.82 second.
     Config::SetDefault("ns3::Ipv4RawSocketImpl::Protocol", StringValue("2"));
-    InetSocketAddress dst = InetSocketAddress(addresses.GetAddress(3));
+    InetSocketAddress dst(addresses.GetAddress(3));
     OnOffHelper onoff = OnOffHelper("ns3::Ipv4RawSocketFactory", dst);
     onoff.SetConstantRate(DataRate(5000));
 
@@ -1004,7 +1004,7 @@
     // Make packets be sent about every DefaultPacketSize / DataRate =
     // 4096 bits / (5000 bits/second) = 0.82 second.
     Config::SetDefault("ns3::Ipv4RawSocketImpl::Protocol", StringValue("2"));
-    InetSocketAddress dst = InetSocketAddress(addresses.GetAddress(3));
+    InetSocketAddress dst(addresses.GetAddress(3));
     OnOffHelper onoff = OnOffHelper("ns3::Ipv4RawSocketFactory", dst);
     onoff.SetConstantRate(DataRate(5000));
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/test/ns3tc/pfifo-fast-queue-disc-test-suite.cc ns-3.40/src/test/ns3tc/pfifo-fast-queue-disc-test-suite.cc
--- ns-3.39/src/test/ns3tc/pfifo-fast-queue-disc-test-suite.cc	2023-07-05 14:23:48.089428200 -0700
+++ ns-3.40/src/test/ns3tc/pfifo-fast-queue-disc-test-suite.cc	2023-09-27 13:30:37.882839700 -0700
@@ -369,7 +369,7 @@
                           2,
                           "unexpected queue depth");
     p = Create<Packet>(100);
-    uint8_t* buf = new uint8_t[100];
+    auto buf = new uint8_t[100];
     uint8_t counter = 0;
     for (uint32_t i = 0; i < 100; i++)
     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/test/ns3tcp/ns3tcp-loss-test-suite.cc ns-3.40/src/test/ns3tcp/ns3tcp-loss-test-suite.cc
--- ns-3.39/src/test/ns3tcp/ns3tcp-loss-test-suite.cc	2023-07-05 14:23:48.089428200 -0700
+++ ns-3.40/src/test/ns3tcp/ns3tcp-loss-test-suite.cc	2023-09-27 13:30:37.882839700 -0700
@@ -246,7 +246,7 @@
 
         NS_LOG_INFO("read " << readLen << " bytes");
 
-        uint8_t* actual = new uint8_t[readLen];
+        auto actual = new uint8_t[readLen];
         received->CopyData(actual, readLen);
 
         int result = memcmp(actual, expectedBuffer, readLen);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/test/ns3tcp/ns3tcp-state-test-suite.cc ns-3.40/src/test/ns3tcp/ns3tcp-state-test-suite.cc
--- ns-3.39/src/test/ns3tcp/ns3tcp-state-test-suite.cc	2023-07-05 14:23:48.089428200 -0700
+++ ns-3.40/src/test/ns3tcp/ns3tcp-state-test-suite.cc	2023-09-27 13:30:37.882839700 -0700
@@ -252,7 +252,7 @@
 
         NS_LOG_INFO("read " << readLen << " bytes");
 
-        uint8_t* actual = new uint8_t[readLen];
+        auto actual = new uint8_t[readLen];
         received->CopyData(actual, readLen);
 
         int result = memcmp(actual, expectedBuffer, readLen);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/topology-read/examples/topology-example-sim.cc ns-3.40/src/topology-read/examples/topology-example-sim.cc
--- ns-3.39/src/topology-read/examples/topology-example-sim.cc	2023-07-05 14:23:48.089428200 -0700
+++ ns-3.40/src/topology-read/examples/topology-example-sim.cc	2023-09-27 13:30:37.886839600 -0700
@@ -122,7 +122,7 @@
     int totlinks = inFile->LinksSize();
 
     NS_LOG_INFO("creating node containers");
-    NodeContainer* nc = new NodeContainer[totlinks];
+    auto nc = new NodeContainer[totlinks];
     TopologyReader::ConstLinksIterator iter;
     int i = 0;
     for (iter = inFile->LinksBegin(); iter != inFile->LinksEnd(); iter++, i++)
@@ -131,7 +131,7 @@
     }
 
     NS_LOG_INFO("creating net device containers");
-    NetDeviceContainer* ndc = new NetDeviceContainer[totlinks];
+    auto ndc = new NetDeviceContainer[totlinks];
     PointToPointHelper p2p;
     for (int i = 0; i < totlinks; i++)
     {
@@ -143,7 +143,7 @@
 
     // it crates little subnets, one for each couple of nodes.
     NS_LOG_INFO("creating IPv4 interfaces");
-    Ipv4InterfaceContainer* ipic = new Ipv4InterfaceContainer[totlinks];
+    auto ipic = new Ipv4InterfaceContainer[totlinks];
     for (int i = 0; i < totlinks; i++)
     {
         ipic[i] = address.Assign(ndc[i]);
@@ -166,7 +166,7 @@
     // -- Send around packets to check the ttl
     // --------------------------------------------
     Config::SetDefault("ns3::Ipv4RawSocketImpl::Protocol", StringValue("2"));
-    InetSocketAddress dst = InetSocketAddress(ipv4AddrServer);
+    InetSocketAddress dst(ipv4AddrServer);
 
     OnOffHelper onoff = OnOffHelper("ns3::Ipv4RawSocketFactory", dst);
     onoff.SetConstantRate(DataRate(15000));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/topology-read/helper/topology-reader-helper.cc ns-3.40/src/topology-read/helper/topology-reader-helper.cc
--- ns-3.39/src/topology-read/helper/topology-reader-helper.cc	2023-07-05 14:23:48.089428200 -0700
+++ ns-3.40/src/topology-read/helper/topology-reader-helper.cc	2023-09-27 13:30:37.886839600 -0700
@@ -18,7 +18,7 @@
  * Author: Valerio Sartini (valesar@gmail.com)
  */
 
-#include "ns3/topology-reader-helper.h"
+#include "topology-reader-helper.h"
 
 #include "ns3/inet-topology-reader.h"
 #include "ns3/log.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/topology-read/model/rocketfuel-topology-reader.cc ns-3.40/src/topology-read/model/rocketfuel-topology-reader.cc
--- ns-3.39/src/topology-read/model/rocketfuel-topology-reader.cc	2023-07-05 14:23:48.089428200 -0700
+++ ns-3.40/src/topology-read/model/rocketfuel-topology-reader.cc	2023-09-27 13:30:37.886839600 -0700
@@ -322,19 +322,15 @@
 RocketfuelTopologyReader::RF_FileType
 RocketfuelTopologyReader::GetFileType(const std::string& line)
 {
-    int ret;
-
     // Check whether Maps file or not
     std::smatch matches;
-    ret = std::regex_match(line, matches, rocketfuel_maps_regex);
-    if (ret)
+    if (std::regex_match(line, matches, rocketfuel_maps_regex))
     {
         return RF_MAPS;
     }
 
     // Check whether Weights file or not
-    ret = std::regex_match(line, matches, rocketfuel_weights_regex);
-    if (ret)
+    if (std::regex_match(line, matches, rocketfuel_weights_regex))
     {
         return RF_WEIGHTS;
     }
@@ -362,7 +358,6 @@
 
     while (!topgen.eof())
     {
-        int ret;
         std::vector<std::string> argv;
 
         lineNumber++;
@@ -385,7 +380,7 @@
 
         if (ftype == RF_MAPS)
         {
-            ret = std::regex_match(line, matches, rocketfuel_maps_regex);
+            bool ret = std::regex_match(line, matches, rocketfuel_maps_regex);
             if (!ret || matches.empty())
             {
                 NS_LOG_WARN("match failed (maps file): %s" << line);
@@ -394,7 +389,7 @@
         }
         else if (ftype == RF_WEIGHTS)
         {
-            ret = std::regex_match(line, matches, rocketfuel_weights_regex);
+            bool ret = std::regex_match(line, matches, rocketfuel_weights_regex);
             if (!ret || matches.empty())
             {
                 NS_LOG_WARN("match failed (weights file): %s" << line);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/traffic-control/CMakeLists.txt ns-3.40/src/traffic-control/CMakeLists.txt
--- ns-3.39/src/traffic-control/CMakeLists.txt	2023-07-05 14:23:48.089428200 -0700
+++ ns-3.40/src/traffic-control/CMakeLists.txt	2023-09-27 13:30:37.886839600 -0700
@@ -36,8 +36,9 @@
     model/red-queue-disc.h
     model/tbf-queue-disc.h
     model/traffic-control-layer.h
-  LIBRARIES_TO_LINK ${libnetwork}
-                    ${libcore}
+  LIBRARIES_TO_LINK
+    ${libnetwork}
+    ${libcore}
   TEST_SOURCES
     test/adaptive-red-queue-disc-test-suite.cc
     test/cobalt-queue-disc-test-suite.cc
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/traffic-control/helper/queue-disc-container.cc ns-3.40/src/traffic-control/helper/queue-disc-container.cc
--- ns-3.39/src/traffic-control/helper/queue-disc-container.cc	2023-07-05 14:23:48.093428400 -0700
+++ ns-3.40/src/traffic-control/helper/queue-disc-container.cc	2023-09-27 13:30:37.886839600 -0700
@@ -58,7 +58,7 @@
 void
 QueueDiscContainer::Add(QueueDiscContainer other)
 {
-    for (ConstIterator i = other.Begin(); i != other.End(); i++)
+    for (auto i = other.Begin(); i != other.End(); i++)
     {
         m_queueDiscs.push_back(*i);
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/traffic-control/helper/traffic-control-helper.cc ns-3.40/src/traffic-control/helper/traffic-control-helper.cc
--- ns-3.39/src/traffic-control/helper/traffic-control-helper.cc	2023-07-05 14:23:48.093428400 -0700
+++ ns-3.40/src/traffic-control/helper/traffic-control-helper.cc	2023-09-27 13:30:37.886839600 -0700
@@ -71,17 +71,13 @@
     Ptr<QueueDisc> qd = m_queueDiscFactory.Create<QueueDisc>();
 
     // create and add the internal queues
-    for (std::vector<ObjectFactory>::iterator i = m_internalQueuesFactory.begin();
-         i != m_internalQueuesFactory.end();
-         i++)
+    for (auto i = m_internalQueuesFactory.begin(); i != m_internalQueuesFactory.end(); i++)
     {
         qd->AddInternalQueue(i->Create<QueueDisc::InternalQueue>());
     }
 
     // create and add the packet filters
-    for (std::vector<ObjectFactory>::iterator i = m_packetFiltersFactory.begin();
-         i != m_packetFiltersFactory.end();
-         i++)
+    for (auto i = m_packetFiltersFactory.begin(); i != m_packetFiltersFactory.end(); i++)
     {
         qd->AddPacketFilter(i->Create<PacketFilter>());
     }
@@ -182,7 +178,7 @@
     NS_ABORT_MSG_IF(handle >= m_queueDiscFactory.size(),
                     "A queue disc with handle " << handle << " does not exist");
 
-    uint16_t childHandle = static_cast<uint16_t>(m_queueDiscFactory.size());
+    auto childHandle = static_cast<uint16_t>(m_queueDiscFactory.size());
     m_queueDiscFactory.emplace_back(factory);
     m_queueDiscFactory[handle].SetChildQueueDisc(classId, childHandle);
 
@@ -195,7 +191,7 @@
                                            ObjectFactory factory)
 {
     HandleList list;
-    for (ClassIdList::const_iterator c = classes.begin(); c != classes.end(); c++)
+    for (auto c = classes.begin(); c != classes.end(); c++)
     {
         uint16_t childHandle = DoAddChildQueueDisc(handle, *c, factory);
         list.push_back(childHandle);
@@ -254,7 +250,7 @@
 {
     QueueDiscContainer container;
 
-    for (NetDeviceContainer::Iterator i = c.Begin(); i != c.End(); ++i)
+    for (auto i = c.Begin(); i != c.End(); ++i)
     {
         container.Add(Install(*i));
     }
@@ -283,7 +279,7 @@
 void
 TrafficControlHelper::Uninstall(NetDeviceContainer c)
 {
-    for (NetDeviceContainer::Iterator i = c.Begin(); i != c.End(); ++i)
+    for (auto i = c.Begin(); i != c.End(); ++i)
     {
         Uninstall(*i);
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/traffic-control/helper/traffic-control-helper.h ns-3.40/src/traffic-control/helper/traffic-control-helper.h
--- ns-3.39/src/traffic-control/helper/traffic-control-helper.h	2023-07-05 14:23:48.093428400 -0700
+++ ns-3.40/src/traffic-control/helper/traffic-control-helper.h	2023-09-27 13:30:37.886839600 -0700
@@ -19,9 +19,10 @@
 #ifndef TRAFFIC_CONTROL_HELPER_H
 #define TRAFFIC_CONTROL_HELPER_H
 
+#include "queue-disc-container.h"
+
 #include "ns3/net-device-container.h"
 #include "ns3/object-factory.h"
-#include "ns3/queue-disc-container.h"
 #include "ns3/queue.h"
 
 #include <map>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/traffic-control/model/cobalt-queue-disc.cc ns-3.40/src/traffic-control/model/cobalt-queue-disc.cc
--- ns-3.39/src/traffic-control/model/cobalt-queue-disc.cc	2023-07-05 14:23:48.093428400 -0700
+++ ns-3.40/src/traffic-control/model/cobalt-queue-disc.cc	2023-09-27 13:30:37.886839600 -0700
@@ -359,7 +359,7 @@
 {
     NS_LOG_FUNCTION(this);
 
-    while (1)
+    while (true)
     {
         Ptr<QueueDiscItem> item = GetInternalQueue(0)->Dequeue();
         if (!item)
@@ -542,7 +542,7 @@
     if (m_pDrop)
     {
         double u = m_uv->GetValue();
-        drop = drop | (u < m_pDrop);
+        drop = drop || (u < m_pDrop);
     }
 
     /* Overload the drop_next field as an activity timeout */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/traffic-control/model/cobalt-queue-disc.h ns-3.40/src/traffic-control/model/cobalt-queue-disc.h
--- ns-3.39/src/traffic-control/model/cobalt-queue-disc.h	2023-07-05 14:23:48.093428400 -0700
+++ ns-3.40/src/traffic-control/model/cobalt-queue-disc.h	2023-09-27 13:30:37.886839600 -0700
@@ -28,10 +28,11 @@
 #ifndef COBALT_H
 #define COBALT_H
 
+#include "queue-disc.h"
+
 #include "ns3/boolean.h"
 #include "ns3/data-rate.h"
 #include "ns3/nstime.h"
-#include "ns3/queue-disc.h"
 #include "ns3/random-variable-stream.h"
 #include "ns3/simulator.h"
 #include "ns3/string.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/traffic-control/model/codel-queue-disc.h ns-3.40/src/traffic-control/model/codel-queue-disc.h
--- ns-3.39/src/traffic-control/model/codel-queue-disc.h	2023-07-05 14:23:48.093428400 -0700
+++ ns-3.40/src/traffic-control/model/codel-queue-disc.h	2023-09-27 13:30:37.886839600 -0700
@@ -27,8 +27,9 @@
 #ifndef CODEL_H
 #define CODEL_H
 
+#include "queue-disc.h"
+
 #include "ns3/nstime.h"
-#include "ns3/queue-disc.h"
 #include "ns3/simulator.h"
 #include "ns3/string.h"
 #include "ns3/trace-source-accessor.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/traffic-control/model/fifo-queue-disc.h ns-3.40/src/traffic-control/model/fifo-queue-disc.h
--- ns-3.39/src/traffic-control/model/fifo-queue-disc.h	2023-07-05 14:23:48.093428400 -0700
+++ ns-3.40/src/traffic-control/model/fifo-queue-disc.h	2023-09-27 13:30:37.886839600 -0700
@@ -20,7 +20,7 @@
 #ifndef FIFO_QUEUE_DISC_H
 #define FIFO_QUEUE_DISC_H
 
-#include "ns3/queue-disc.h"
+#include "queue-disc.h"
 
 namespace ns3
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/traffic-control/model/fq-cobalt-queue-disc.h ns-3.40/src/traffic-control/model/fq-cobalt-queue-disc.h
--- ns-3.39/src/traffic-control/model/fq-cobalt-queue-disc.h	2023-07-05 14:23:48.093428400 -0700
+++ ns-3.40/src/traffic-control/model/fq-cobalt-queue-disc.h	2023-09-27 13:30:37.886839600 -0700
@@ -27,8 +27,9 @@
 #ifndef FQ_COBALT_QUEUE_DISC
 #define FQ_COBALT_QUEUE_DISC
 
+#include "queue-disc.h"
+
 #include "ns3/object-factory.h"
-#include "ns3/queue-disc.h"
 
 #include <list>
 #include <map>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/traffic-control/model/fq-codel-queue-disc.h ns-3.40/src/traffic-control/model/fq-codel-queue-disc.h
--- ns-3.39/src/traffic-control/model/fq-codel-queue-disc.h	2023-07-05 14:23:48.093428400 -0700
+++ ns-3.40/src/traffic-control/model/fq-codel-queue-disc.h	2023-09-27 13:30:37.886839600 -0700
@@ -21,8 +21,9 @@
 #ifndef FQ_CODEL_QUEUE_DISC
 #define FQ_CODEL_QUEUE_DISC
 
+#include "queue-disc.h"
+
 #include "ns3/object-factory.h"
-#include "ns3/queue-disc.h"
 
 #include <list>
 #include <map>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/traffic-control/model/fq-pie-queue-disc.h ns-3.40/src/traffic-control/model/fq-pie-queue-disc.h
--- ns-3.39/src/traffic-control/model/fq-pie-queue-disc.h	2023-07-05 14:23:48.093428400 -0700
+++ ns-3.40/src/traffic-control/model/fq-pie-queue-disc.h	2023-09-27 13:30:37.886839600 -0700
@@ -26,8 +26,9 @@
 #ifndef FQ_PIE_QUEUE_DISC
 #define FQ_PIE_QUEUE_DISC
 
+#include "queue-disc.h"
+
 #include "ns3/object-factory.h"
-#include "ns3/queue-disc.h"
 
 #include <list>
 #include <map>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/traffic-control/model/mq-queue-disc.h ns-3.40/src/traffic-control/model/mq-queue-disc.h
--- ns-3.39/src/traffic-control/model/mq-queue-disc.h	2023-07-05 14:23:48.093428400 -0700
+++ ns-3.40/src/traffic-control/model/mq-queue-disc.h	2023-09-27 13:30:37.886839600 -0700
@@ -21,7 +21,7 @@
 #ifndef MQ_QUEUE_DISC_H
 #define MQ_QUEUE_DISC_H
 
-#include "ns3/queue-disc.h"
+#include "queue-disc.h"
 
 namespace ns3
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/traffic-control/model/pfifo-fast-queue-disc.h ns-3.40/src/traffic-control/model/pfifo-fast-queue-disc.h
--- ns-3.39/src/traffic-control/model/pfifo-fast-queue-disc.h	2023-07-05 14:23:48.093428400 -0700
+++ ns-3.40/src/traffic-control/model/pfifo-fast-queue-disc.h	2023-09-27 13:30:37.886839600 -0700
@@ -22,7 +22,7 @@
 #ifndef PFIFO_FAST_H
 #define PFIFO_FAST_H
 
-#include "ns3/queue-disc.h"
+#include "queue-disc.h"
 
 namespace ns3
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/traffic-control/model/pie-queue-disc.cc ns-3.40/src/traffic-control/model/pie-queue-disc.cc
--- ns-3.39/src/traffic-control/model/pie-queue-disc.cc	2023-07-05 14:23:48.093428400 -0700
+++ ns-3.40/src/traffic-control/model/pie-queue-disc.cc	2023-09-27 13:30:37.886839600 -0700
@@ -437,7 +437,7 @@
         m_burstAllowance -= m_tUpdate;
     }
 
-    uint32_t burstResetLimit = static_cast<uint32_t>(BURST_RESET_TIMEOUT / m_tUpdate.GetSeconds());
+    auto burstResetLimit = static_cast<uint32_t>(BURST_RESET_TIMEOUT / m_tUpdate.GetSeconds());
     if ((qDelay.GetSeconds() < 0.5 * m_qDelayRef.GetSeconds()) &&
         (m_qDelayOld.GetSeconds() < (0.5 * m_qDelayRef.GetSeconds())) && (m_dropProb == 0) &&
         !missingInitFlag)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/traffic-control/model/pie-queue-disc.h ns-3.40/src/traffic-control/model/pie-queue-disc.h
--- ns-3.39/src/traffic-control/model/pie-queue-disc.h	2023-07-05 14:23:48.093428400 -0700
+++ ns-3.40/src/traffic-control/model/pie-queue-disc.h	2023-09-27 13:30:37.886839600 -0700
@@ -27,11 +27,12 @@
 #ifndef PIE_QUEUE_DISC_H
 #define PIE_QUEUE_DISC_H
 
+#include "queue-disc.h"
+
 #include "ns3/boolean.h"
 #include "ns3/data-rate.h"
 #include "ns3/event-id.h"
 #include "ns3/nstime.h"
-#include "ns3/queue-disc.h"
 #include "ns3/random-variable-stream.h"
 #include "ns3/timer.h"
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/traffic-control/model/prio-queue-disc.h ns-3.40/src/traffic-control/model/prio-queue-disc.h
--- ns-3.39/src/traffic-control/model/prio-queue-disc.h	2023-07-05 14:23:48.093428400 -0700
+++ ns-3.40/src/traffic-control/model/prio-queue-disc.h	2023-09-27 13:30:37.886839600 -0700
@@ -20,7 +20,7 @@
 #ifndef PRIO_QUEUE_DISC_H
 #define PRIO_QUEUE_DISC_H
 
-#include "ns3/queue-disc.h"
+#include "queue-disc.h"
 
 #include <array>
 
